@charset "utf-8";

/* ナビゲーション */

.swiper-button-prev, .swiper-button-next {
    transition: .3s;
}

.swiper-button-prev:hover {
    transform: translateX(-5px);
}

.swiper-button-next:hover {
    transform: translateX(5px);
}

/* ページネーション */

.swiper-pagination-bullet:hover {
    background: var(--swiper-pagination-color,var(--swiper-theme-color));
    opacity: 1;
}

/* カバースライダー */

.main-visual-img-pc {
	display: block;
}

.main-visual-img-sp {
	display: none;
}

/* サムネイル付きスライダー(サムネイルもスライダー) */

.main-slider {
	max-width: 800px;
	width: 100%;
	margin: 30px auto 0;
}

.thumbnail-slider {
	max-width: 800px;
	width: 100%;
	margin: 10px auto 0;
}

.thumbnail-slider-item {
    cursor: pointer;
    transition: .3s;
}

.thumbnail-slider-item:hover {
    filter: brightness(0.5);
}

.swiper-slide-thumb-active {
    filter: brightness(0.5);
}

/* サムネイル付きスライダー(サムネイルは非スライダー) */

.main-slider {
	max-width: 800px;
	width: 100%;
	margin: 30px auto 0;
}

.thumb-wrapper {
	max-width: 800px;
	width: 100%;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 10px;
    margin: 10px auto 0;
}

.thumb-media:hover {
    filter: brightness(0.5);
}

.thumb-media-active {
    filter: brightness(0.5);
}

.slider-controls {
    display: flex;
    align-items: center;
    gap: 4rem;
    margin: 0 auto;
    padding: 0 4px;
    max-width: 108rem;
    width: 100%;
    position: absolute;
    top: 55%;
    left: 0;
    right: 0;
    z-index: 10;
}

.timeline-wrap, .tl-gap-half {
    flex: 1;
}

.time-labels {
    display: flex;
    align-items: flex-end;
    margin-bottom: 5px;
}

.tl-label {
    width: 10px;
    position: relative;
    height: 14px;
    flex-shrink: 0;
}

.tl-label span {
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    white-space: nowrap;
    font-size: clamp(1.22rem, 1.079rem + 0.601vw, 1.8rem);
}

.timeline-track {
    display: flex;
    align-items: center;
    width: 99%;
    margin: 5px auto 0;
}

.tl-fixed {
    width: 2px;
    height: 10px;
    background: var(--base-font-color);
    flex-shrink: 0;
    border-radius: 0;
}

.tl-line {
    flex: 1;
    height: 2px;
    background: var(--base-font-color);
}

.tl-bullet {
    width: 18px;
    height: 18px;
    background: var(--base-font-color);
    border-radius: 2px;
    flex-shrink: 0;
    cursor: pointer;
    transition: background 0.3s;
}

.tl-bullet.active {
    background: var(--primary);
}

.tl-bullet:hover {
    filter: opacity(0.7);
    transition: .3s;
}

.play-btn {
    width: 40px;
    height: 40px;
    background: var(--primary);
    border-radius: 50%;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    transition: background 0.2s;
    z-index: 10;
}

.play-btn svg {
    fill: white;
    width: 18px;
    height: 18px;
}

.play-btn:hover {
    filter: brightness(1.12);
    transition: .3s;
}

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */

@media screen and (max-width: 1024px) {

.slider-controls {
    width: 95%;
    margin: 0 auto;
    top: 50%;
}


} /* max-width: 1024px ここまで */

/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */
/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */

@media screen and (max-width: 768px) {

/* カバースライダー */

.main-visual-img-pc {
	display: none;
}

.main-visual-img-sp {
	display: block;
}

.slider-controls {
    gap: 2rem;
    top: 57%;
}

.slider-controls {
    width: 90%;
    margin: 0 auto;
}

.tl-fixed {
    width: 2px;
    height: 8px;
}

.tl-bullet {
    width: 12px;
    height: 12px;
}

.play-btn {
    width: 32px;
    height: 32px;
}

} /* max-width: 768px ここまで */

/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */
/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */

@media screen and (width <=576px) {

.slider-controls {
    gap: 2rem;
    top: 38%;
}


}

/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */
/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */

@media screen and (width <=450px) {

.slider-controls {
    top: 42.5%;
}


}

/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */
/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */
/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */

@media screen and (width <=414px) {

.slider-controls {
    top: 39.5%;
}

}

/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */
/* ☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆☆ */